> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Vendor

> The API provides a means for merchants or administrators to add new vendors to the system with essential details.

The API provides a means for merchants or administrators to add new vendors to the system with essential details.

### Request Body

```json theme={null}
{
  "vendor_id": "string", // Provided by merchant
  "name": "string", // Vendor name (no special characters other than space)
  "email": "string", // Valid email address
  "phone": "string", // Vendor phone number (optional)
  "upi_id": "string", // Vendor UPI ID (optional)
  "bank_details": {
    "account_no": "string", // Bank account number
    "ifsc_code": "string" // Bank IFSC code
  }
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "success": true,
  "message": "Vendor added successfully",
  "vendor_id": "string",
  "id": "string"
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid request",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /vendor/create
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /vendor/create:
    post:
      summary: Create Vendor
      description: >-
        The API provides a means for merchants or administrators to add new
        vendors to the system with essential details.
      operationId: create-vendor
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - vendor_id
                - name
                - email
              properties:
                vendor_id:
                  type: string
                  description: provided by merchant
                name:
                  type: string
                  description: >-
                    Vendor Name, this field will not accept any special char
                    other then space
                  default: Vendor Name
                email:
                  type: string
                  description: a valid email address
                phone:
                  type: string
                upi_id:
                  type: string
                  description: >-
                    vpa of merchant, if provided will be used as a default
                    option
                bank_details:
                  type: object
                  required:
                    - account_no
                    - ifsc_code
                  properties:
                    account_no:
                      type: string
                      description: bank account number
                    ifsc_code:
                      type: string
                      description: Bank IFSC code
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |
                    {
                      "success": true,
                      "message": "Vendor added successfully",
                      "vendor_id": "unique_vendor_id",
                      "id": "unique_vendor_platform_id"
                    }
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Vendor added successfully
                  vendor_id:
                    type: string
                    example: unique_vendor_id
                  id:
                    type: string
                    example: unique_vendor_platform_id
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````